<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_28c85ce81" . "fee6532980" . "262893b6f2" . "425" => base64_decode("dXNlcm5h" . "bWU="), "_8cca4dd34e20c5344bb2a30f2533c4" . "e5" => base64_decode("ZnVsb" . "F9uYW" . "1l"), "user_i" . "d" => base64_decode("dXNlcl9" . "pZA=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["user_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8cca4dd34e20c5" . "344bb2a30f2533c" . "4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_28c85ce81fee653298026289" . "3b6f2425"]);
    }
}